diff --git a/shaders/shader.frag b/shaders/shader.frag
index 0970799..18621a7 100644
--- a/shaders/shader.frag
+++ b/shaders/shader.frag
@@ -1,10 +1,11 @@
 #version 450
 
 layout(push_constant) uniform PushConstants {
-    uint enableTexture;
+    int enableTexture;
 } pc;
 
-layout(binding = 1) uniform sampler2D texSampler;
+layout(binding = 1) uniform sampler texSampler;
+layout(binding = 3) uniform texture2D texImage[2];
 
 layout(location = 0) in vec3 fragColor;
 layout(location = 1) in vec2 fragTexCoord;
@@ -12,9 +13,9 @@ layout(location = 1) in vec2 fragTexCoord;
 layout(location = 0) out vec4 outColor;
 
 void main() {
-    if (pc.enableTexture > 0) {
-        outColor = texture(texSampler, fragTexCoord);
-    } else {
+    if (pc.enableTexture < 0) {
         outColor = vec4(fragColor, 1.0);
+    } else {
+        outColor = texture(sampler2D(texImage[pc.enableTexture], texSampler), fragTexCoord);
     }
 }
